{% extends "base.html" %}
{% block content %}

<script src="/static/dataTables/jquery.dataTables.min.js"></script>
<script src="/static/dataTables/dataTables.bootstrap.min.js"></script>
<link rel="stylesheet" type="text/css" href="/static/dataTables/dataTables.bootstrap.min.css">

<div class="container">
<div class="row col-md-12">

    <div style="font-size:1.5em">
        {%trans%}All forms{%endtrans%}
    </div>
    <hr />

    <table id="forms" style="display:none" class="table table-striped table-condensed">
        <thead>
        <tr>
            <th>{%trans%}Name{%endtrans%}</th>
            <th>{%trans%}Created{%endtrans%}</th>
            <th>{%trans%}Author{%endtrans%}</th>
            <th>{%trans%}Public{%endtrans%}</th>
            <th>{%trans%}Entries{%endtrans%}</th>
            {% if g.isRootUser %}
                <th>{%trans%}Hostname{%endtrans%}</th>
            {% endif %}
        </tr>
    </thead>
    {% for form in forms %}
        <tr>
            <td><a href="/forms/view/{{form._id}}">{{form.slug}}</a></td>
            <td>{{form.created}}</td>
            <td><a href="/admin/users/id/{{form.user._id}}">{{form.user.username}}</a></td>
            <td>{{form.isPublic()}}</td>
            <td>{{form.entries|length}}</td>
            {% if g.isRootUser %}
                <td>{{form.hostname}}</td>
            {% endif %}
        </tr>
    {% endfor %}
    </table>

</div>
</div>

<script>
$(document).ready(function() {
    $('#forms').DataTable({
        "language": {
            "url": "/static/dataTables-languages/{{g.current_user.language}}.js"
        },
        "initComplete": function(settings, json) {
            $("#forms").show();
        },
        "order": [[1, 'desc']]
    });
} );
</script>
  
{% endblock %}
